-- This is basicly just a regular product, with the only exception
-- that it needs to be made invisible when a pie will be placed in the oven

class 'rest2_baseGrillProduct' (regularProduct)

function rest2_baseGrillProduct:__init(baseName) super(baseName)
end

function rest2_baseGrillProduct:onWorkStart(task)

	cout("rest2_baseGrillProduct\n")
	
	Product.onWorkStart(self, task)
	self:moveToBubble()
	return true
end

function rest2_baseGrillProduct:onBubbleCancel()
	
	self:unQueue()

end

function rest2_baseGrillProduct:onBubbleMerged()
	cout("onBubbleMerged\n")
	self:unQueue()
	regularProduct.onBubbleMerged(self)
end